WPS8TextStyleInternal::State Struct Reference

Internal: the state of a WPS4Text. More...

## Public Member Functions
| State ()
| constructor
void | initTypeMaps ()
| initializes the type map

## Public Attributes
std::vector< librevenge::RVNGString > | m_fontNames
| the font names
Font | m_defaultFont
| the default font
std::vector< Font > | m_fontList
| a list of all font properties
WPSParagraph | m_defaultParagraph
| the default paragraph
std::vector< WPSParagraph > | m_paragraphList
| a list of all paragraph properties
std::map< int, int > | m_fontTypes
| the character type
std::map< int, int > | m_paragraphTypes
| the paragraph type

## Detailed Description

Internal: the state of a WPS4Text.

## Constructor & Destructor Documentation

## ◆ State()

WPS8TextStyleInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ initTypeMaps()

void WPS8TextStyleInternal::State::initTypeMaps | ( |  | ) |

initializes the type map

Referenced by State().

## Member Data Documentation

## ◆ m_defaultFont

Font WPS8TextStyleInternal::State::m_defaultFont

the default font

Referenced by State().

## ◆ m_defaultParagraph

WPSParagraph WPS8TextStyleInternal::State::m_defaultParagraph

the default paragraph

Referenced by State().

## ◆ m_fontList

std::vector<Font> WPS8TextStyleInternal::State::m_fontList

a list of all font properties

Referenced by State().

## ◆ m_fontNames

std::vector<librevenge::RVNGString> WPS8TextStyleInternal::State::m_fontNames

the font names

Referenced by State().

## ◆ m_fontTypes

std::map<int,int> WPS8TextStyleInternal::State::m_fontTypes

the character type

Referenced by initTypeMaps(), and State().

## ◆ m_paragraphList

std::vector<WPSParagraph> WPS8TextStyleInternal::State::m_paragraphList

a list of all paragraph properties

Referenced by State().

## ◆ m_paragraphTypes

std::map<int,int> WPS8TextStyleInternal::State::m_paragraphTypes

the paragraph type

Referenced by initTypeMaps(), and State().

The documentation for this struct was generated from the following file:

- WPS8TextStyle.cpp